MiniMax H3 Image to Video
Entegre et
minimax/h3/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/image-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/image-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/image-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "minimax/h3/image-to-video",
"input": {
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
}
}
MiniMax H3 Image to Video modelini (minimax/h3/image-to-video) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/minimax/h3/image-to-video.md
POST https://vit.doitong.com/api/v1/run/minimax/h3/image-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://vit.doitong.com/api/v1/quote/minimax/h3/image-to-video, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: $0,25 250 API kredisi Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
Örnekler
İstemUltra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word "IGNITE" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/minimax/h3/image-to-video?wait=20
fiyat → $0,25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/image-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/image-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/image-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "minimax/h3/image-to-video",
"input": {
"prompt": "Ultra cinematic wide shot: A vast field of burning embers stretches into darkness. Suddenly, an enormous wall of fire races across the ground, sending billions of glowing sparks into the air. The flames twist into a gigantic rotating fire vortex hundreds of feet high. Molten embers, smoke, and liquid fire spiral together, naturally forging the word \"IGNITE\" from blazing flames. The letters burn brighter and brighter before erupting into a colossal shockwave that fills the screen with fire and incandescent particles. Hollywood fire simulation, ultra-realistic VFX, blockbuster title reveal.",
"duration": 5,
"resolution": "480P",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_j9dik7xsuoammbgw6brdgafv/0-YyIruCJVEfXsz3wKufKD7_kmRHee8d.png"
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
MiniMax H3 Image to Video hakkında
MiniMax H3 görüntüden videoya, ilk kareyi, son kareyi veya her ikisini alır ve canlı, etkileyici hareket ekler; tuval sağladığınız görüntüyü izler. Doğal 480P veya 768P; 2K ve 4K, 768P sonucunun yükseltilmiş sürümleridir; süre 5 ila 15 saniyedir, isteğe bağlı istem yeniden yazma ve film müziği olarak sabitlenecek isteğe bağlı bir ses parçası desteklenir.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
promptgerekli
durationisteğe bağlı
resolutionisteğe bağlı
seedisteğe bağlı
prompt_expansion_modeisteğe bağlı
target_audio_urlisteğe bağlı
image_urlisteğe bağlı
image
end_image_urlisteğe bağlı
end_image
Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "minimax/h3/image-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 250,
"usd": "0.25",
"charged": 250,
"refunded": 0
},
"input": {
"prompt": "The camera slowly pulls back as the fox runs off the path into the misty forest, fireflies scatter",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"duration": 6,
"resolution": "768P"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"expanded_prompt": "string"
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- video
- object {url, content_type, file_name, file_size}Model tarafından üretilen video.
- expanded_prompt
- string | nullModel için hazır genişletilmiş istem veya genişletilmiş metin yoksa null. null durumları genişletmenin devre dışı olması, genişletmenin değişiklik yapmaması ve genişletmenin modelin barındırılan API'si tarafından dahili olarak işlenmesidir.
Diğer MiniMax H3 varyantları
Daha fazla model: Görselden Videoya
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/minimax/h3/image-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt